Package net.shibboleth.idp.cli

# Class AbstractIdPHomeAwareCommandLineArguments

java.lang.Object
net.shibboleth.shared.cli.AbstractCommandLineArguments
net.shibboleth.idp.cli.AbstractIdPHomeAwareCommandLineArguments

All Implemented Interfaces:
  `CommandLineArguments`

Direct Known Subclasses:
  `DataSealerArguments`, `IdPBuildArguments`, `JarCheckArguments`, `ModuleManagerArguments`, `PluginInstallerArguments`, `UpdateIdPArguments`

public abstract class AbstractIdPHomeAwareCommandLineArguments extends AbstractCommandLineArguments
An extension to `AbstractCommandLineArguments` that allows idp.home override and includes HTTP client support.

Since:
  4.1.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`httpClientName`
Name for the `HttpClient` .
`private String`
`httpClientSecurityParametersName`
Name for the `HttpClientSecurityParameters` .
`private String`
`idpHome`
IdP location.

## Constructor Summary

Constructors
Constructor
Description
`AbstractIdPHomeAwareCommandLineArguments()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHttpClientName()`
Get bean name for the `HttpClient` (if specified).
`String`
`getHttpClientSecurityParameterstName()`
Get bean name for the `HttpClientSecurityParameters` (if specified).
`String`
`getIdPHome()`
Gets the configured home location.
`void`
`printHelp(PrintStream out)`
`void`
`setHttpClientName(String name)`
Set bean name for the `HttpClient`.

### Methods inherited from class net.shibboleth.shared.cli.AbstractCommandLineArguments

`getLanguageRanges, getLog, getLoggingConfiguration, getOtherArgs, getPropertyFiles, isANSI, isHelp, isQuietOutput, isVerboseOutput, isVersion, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### idpHome

@Nullable private String idpHome
IdP location.

### httpClientName

@Nullable @NotEmpty private String httpClientName
Name for the `HttpClient` .

### httpClientSecurityParametersName

@Nullable @NotEmpty private String httpClientSecurityParametersName
Name for the `HttpClientSecurityParameters` .

## Constructor Details

### AbstractIdPHomeAwareCommandLineArguments

public AbstractIdPHomeAwareCommandLineArguments()

## Method Details

### getIdPHome

@Nullable public String getIdPHome()
Gets the configured home location.

Returns:
  home location

### getHttpClientName

@Nullable @NotEmpty public String getHttpClientName()
Get bean name for the `HttpClient` (if specified).

Returns:
  the name or null

### setHttpClientName

public void setHttpClientName(@Nullable @NotEmpty String name)
Set bean name for the `HttpClient`.

Parameters:
  `name` - bean name

### getHttpClientSecurityParameterstName

@Nullable @NotEmpty public String getHttpClientSecurityParameterstName()
Get bean name for the `HttpClientSecurityParameters` (if specified).

Returns:
  the name or null

### printHelp

public void printHelp(@Nonnull PrintStream out)

Specified by:
  `printHelp` in interface `CommandLineArguments`
Overrides:
  `printHelp` in class `AbstractCommandLineArguments`